%global composer_vendor         phpseclib
%global composer_project        phpseclib

%global github_owner            phpseclib
%global github_name             phpseclib

%global snapshot_date           20150729
%global snapshot_commit         772d4df
%global snapshot_commit_long    772d4df5975a721d9c2cc79ca4da1339798c2c86

Name:       php-%{composer_vendor}
Version:    2.0
Release:    0.9.%{snapshot_date}git%{snapshot_commit}%{?dist}
Summary:    PHP Secure Communications Library

Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/%{github_owner}/%{github_name}
Source0:    https://github.com/%{github_owner}/%{github_name}/archive/%{snapshot_commit_long}.tar.gz
BuildArch:  noarch

Provides:   php-composer(%{composer_vendor}/%{composer_project}) = %{version}

BuildRequires: php-theseer-autoload
BuildRequires: php-phpunit-PHPUnit

Requires:   php(language) >= 5.3.3

Requires:   php-bcmath
Requires:   php-date
Requires:   php-gmp
Requires:   php-hash
#Requires:   php-mcrypt
#Requires:   php-mhash
Requires:   php-openssl
Requires:   php-pcre
Requires:   php-session
Requires:   php-standard
#Requires:   php-suhosin
Requires:   php-xml

%description
MIT-licensed pure-PHP implementations of an arbitrary-precision integer 
arithmetic library, fully PKCS#1 (v2.1) compliant RSA, DES, 3DES, RC4, 
Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and X.509

%prep
%setup -qn %{github_name}-%{snapshot_commit_long}

%build

%check
phpab --output tests/bootstrap.php tests/ phpseclib/    
phpunit

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php
cp -pr %{composer_vendor} ${RPM_BUILD_ROOT}%{_datadir}/php

%files
%defattr(-,root,root,-)
%dir %{_datadir}/php/%{composer_vendor}
%{_datadir}/php/%{composer_vendor}
%doc AUTHORS CHANGELOG.md composer.json README.md
%license LICENSE

%changelog
* Thu Jul 30 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.9.20150729git772d4df
- rebuilt

* Tue Jul 21 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.8.20150718git713a9c7
- update to 713a9c7

* Thu Jul 16 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.7.20150708gitf277384
- update to f277384

* Tue Jul 07 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.6.20150707gitf782005
- update to f782005

* Fri Jul 03 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.5.20150702git483c253
- add php extension requires

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.4.20150702git483c253
- Source points to tarball with commit hash instead of branch tarball

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.3.20150702git483c253
- require PHPUnit

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.2.20150702git483c253
- move LICENSE to license macro
- remove php-mcrypt dependency
- require PHP language instead of mod_php
- add CI for Fedora

* Thu Jul 02 2015 François Kooman <fkooman@tuxed.net> - 2.0-0.1.20150702git483c253
- initial package
